import Router from "vue-router"
// import store from "@/store/index.js"
let router = new Router({
    routes:[
        {
            path:"/",
            component:() => import("../views/index.vue"),
            children:[
                {
                    path:"list",
                    component: () => import("@/views/list.vue")
                },
                {
                    path:"add",
                    component: () => import("@/views/add.vue")
                }
            ]
        },
        {
            path:"/login",
            component:() => import("@/views/login.vue")
        }
    ]
})

// router.beforeEach((to, from, next) => {
//     if(store.state.quanxian){
//         next()
//     }else if(to.path != "/login"){
//         router.push("/login")
//     }else{
//         next()
//     }
// })
// 路由守卫可以写多个 只有都执行了next 才跳转
router.beforeEach((to,from,next) => {
    console.log(to)
    next()
})

export default router