import Vue from "vue"
import Vuex from "vuex"
Vue.use(Vuex)

const store = new Vuex.Store({
    state: {
        quanxian: false,
        list:[
            {
                name:"学生1",
                sex:"0",
                id:0
            },
            {
                name:"学生2",
                sex:"1",
                id:1
            },{
                name:"学生3",
                sex:"0",
                id:2
            },{
                name:"学生4",
                sex:"1",
                id:3
            },
        ]
    },
    mutations: {
        setquanxian(state,data){
            state.quanxian = data
        },
        dellist(state,id){
            state.list.splice(state.list.findIndex(item => item.id === id), 1)
        },
        addlst(state,info){
            state.list.push(info)
        }
    }
})
export default store